Bug 1730212 - mongod being killed by OOM killer
Summary: mongod being killed by OOM killer
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: satellite6-bugs
QA Contact: Bruno Rocha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 08:02 UTC by Roman Plevka
Modified: 2019-09-11 14:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-11 14:21:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 5 Roman Plevka 2019-07-30 15:09:13 UTC
sorry, the host got destroyed.

Comment 6 Mike McCune 2019-07-30 15:17:17 UTC
you can see from the test box that it is killing other processes too:

# grep "Out of memory" messages 

Jul 15 15:12:56 qe-testing-rhel7 kernel: Out of memory: Kill process 21308 (mongod) score 219 or sacrifice child
Jul 15 23:37:48 qe-testing-rhel7 kernel: Out of memory: Kill process 4598 (ruby) score 196 or sacrifice child
Jul 15 23:37:49 qe-testing-rhel7 kernel: Out of memory: Kill process 4601 (ruby-timer-thr) score 196 or sacrifice child
Jul 16 01:23:58 qe-testing-rhel7 kernel: Out of memory: Kill process 2004 (mongod) score 156 or sacrifice child


It just happens that Mongo is the largest consumer at the time but doesn't necessarily indicate any specific issue with Pulp, just that these tests are consuming more than the 20G of RAM available to the test VM.

Comment 9 Bryan Kearney 2019-09-11 14:21:10 UTC
Based on Comment 8, closing this out.


Note You need to log in before you can comment on or make changes to this bug.